slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSEVSLSetRange

Defines the numerical range (or field of values) of the problem, that is, the interval containing all eigenvalues.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSEVSLSetRange(EPS eps,PetscReal lmin,PetscReal lmax)

Logically Collective

### Input Parameters

| eps | - the eigensolver context
| lmin | - left end of the interval
| lmax | - right end of the interval

### Options Database Key

| -eps_evsl_range <a,b> | - set [a,b] as the numerical range

### Notes

The filter will be most effective if the numerical range is tight, that is, lmin and lmax are good approximations to the leftmost and rightmost eigenvalues, respectively. If not set by the user, an approximation is computed internally.

The wanted computational interval specified via EPSSetInterval() must be contained in the numerical range.

### See Also

EPSEVSLGetRange(), EPSSetInterval()

### Level

intermediate

### Location

src/eps/impls/external/evsl/evsl.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages